ONC-ACB Certification ID: 15.04.04.2705.Crit.04.00.1.191111 | Certification Date: Nov 11, 2019

As part of our goal to provide a trusted and secure platform for our customers, we are implementing a change in security requirements for using Criterions EHR effective August 1, 2020.

We are planning to deprecate vulnerable data encryption protocols (TLS 1.0 & 1.1) and will be supporting TLS 1.2 and newer going forward.

This deprecation will affect you if you use an older browser.

Clients using Internet Explorer:

  • If you have Windows 7, updating the Internet Explorer version may not work. When you are accessing the Criterions EHR website in the Internet Explorer version 11, the EHR may not allow you to login.
  • Microsoft does not provide updates for Windows 7 Operating System any longer.
  • Microsoft officially phased out support for Internet Explorer versions 7 through 10, that means the Microsoft will no longer release Security Update Patches for the browser.
  • Windows 7 has an IE version 11.0.9600.18015, however, Criterions EHR will not work on this version anymore due to security reasons.
  • Criterions EHR only works on Internet Explorer version 11.900.18362.0 of Windows 10.

Recommended Browsers:

EHR works well with the following Browsers:
• Latest version of Google Chrome
• Latest version of Firefox
• Latest version of Microsoft Edge

If you have any questions, please feel free to contact us using the form below and a member of our team will be in touch:

Request a Demo!